import {EntityRepository, Repository} from "typeorm";
import {UpdateHomePageComponentUiDto} from "./dto/update-home-page-component-ui.dto";
import {HomePageComponentUi} from "./entities/home-page-component-ui.entity";

@EntityRepository(HomePageComponentUi)
export class HomePageComponentUiRepository extends Repository<HomePageComponentUi> {

    async createEntity(dto: UpdateHomePageComponentUiDto): Promise<HomePageComponentUi | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                categorySectionTitleFontColor: dto.categorySectionTitleFontColor,
                flowerSectionTitleFontColor: dto.flowerSectionTitleFontColor,
                dispoDifferenceSectionTitleFontColor: dto.dispoDifferenceSectionTitleFontColor,
                reeferAFriendSectionTitleFontColor: dto.reeferAFriendSectionTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageComponentUiDto, id: string): Promise<HomePageComponentUi | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                categorySectionTitleFontColor: dto.categorySectionTitleFontColor,
                flowerSectionTitleFontColor: dto.flowerSectionTitleFontColor,
                dispoDifferenceSectionTitleFontColor: dto.dispoDifferenceSectionTitleFontColor,
                reeferAFriendSectionTitleFontColor: dto.reeferAFriendSectionTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageComponentUi[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}