import {EntityRepository, Repository} from "typeorm";
import {UpdateSpecialPageComponentUiDto} from "./dto/update-special-page-component-ui.dto";
import {SpecialPageComponentUiEntity} from "./entities/special-page-component-ui.entity";

@EntityRepository(SpecialPageComponentUiEntity)
export class SpecialPageComponentUiRepository extends Repository<SpecialPageComponentUiEntity> {

    async createEntity(dto: UpdateSpecialPageComponentUiDto): Promise<SpecialPageComponentUiEntity | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                productSectionTitleFontColor: dto.productSectionTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateSpecialPageComponentUiDto, id: string): Promise<SpecialPageComponentUiEntity | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor,
                productSectionTitleFontColor: dto.productSectionTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SpecialPageComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}