import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../SpacesModule/SpacesService";
import {DoSpacesService} from "../SpacesModule/SpacesService/doSpacesService";
import {InstagramImageRepository} from "./instagram-image.repository";
import {InstagramImageController} from "./instagram-image.controller";
import {InstagramImageService} from "./instagram-image.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([InstagramImageRepository])
    ],
    controllers: [InstagramImageController],
    providers: [InstagramImageService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class InstagramImageModule {
}
